clan::OpenGLTarget Class Reference - ClanLib SDK
Description: clan::OpenGLTarget Class Reference

Static Public Member Functions | List of all members
clan::OpenGLTarget Class Reference
clanGL Display

Display target for clanDisplay. More...

`#include <opengl_target.h>`

## Static Public Member Functions
static OpenGLContextDescription | get_description ()
| Target should be current (using set_current() ) before using this function.
static std::vector< std::string > | get_extensions (const GraphicContext &gc)
| Get the list of opengl extensions.
static void | get_opengl_shading_language_version (const GraphicContext &gc, int &version_major, int &version_minor)
| Get the opengl shading language version.
static void | get_opengl_version (const GraphicContext &gc, int &version_major, int &version_minor)
| Get the opengl version.
static void | get_opengl_version (const GraphicContext &gc, int &version_major, int &version_minor, int &version_release)
| Get the opengl version.
static std::string | get_renderer_string (const GraphicContext &gc)
| Get the opengl renderer string.
static std::string | get_vendor_string (const GraphicContext &gc)
| Get the opengl vendor string.
static bool | is_current ()
| Returns true if this display target is the current target.
static void | set_active_context (const GraphicContext &gc)
| Set OpenGL context used by this GraphicContext to be active.
static void | set_current ()
| Set this display target to be the current target.
static void | set_description (OpenGLContextDescription &desc)
| Target should be current (using set_current() ) before using this function.

## Detailed Description

Display target for clanDisplay.

## Member Function Documentation

## ◆ get_description()

static OpenGLContextDescription clan::OpenGLTarget::get_description | ( |  | ) |
| static

Target should be current (using set_current() ) before using this function.

## ◆ get_extensions()

static std::vector< std::string > clan::OpenGLTarget::get_extensions | ( | const GraphicContext & | gc | ) |
| static

Get the list of opengl extensions.

## ◆ get_opengl_shading_language_version()

static void clan::OpenGLTarget::get_opengl_shading_language_version | ( | const GraphicContext & | gc,
|  | int & | version_major,
|  | int & | version_minor )
| static

Get the opengl shading language version.

Parameters

  version_major | = On Return: Major
  version_minor | = On Return: Minor

## ◆ get_opengl_version() [1/2]

static void clan::OpenGLTarget::get_opengl_version | ( | const GraphicContext & | gc,
|  | int & | version_major,
|  | int & | version_minor )
| static

Get the opengl version.

Parameters

  version_major | = On Return: Major
  version_minor | = On Return: Minor

## ◆ get_opengl_version() [2/2]

static void clan::OpenGLTarget::get_opengl_version | ( | const GraphicContext & | gc,
|  | int & | version_major,
|  | int & | version_minor,
|  | int & | version_release )
| static

Get the opengl version.

Parameters

  version_major | = On Return: Major
  version_minor | = On Return: Minor
  version_release | = On Return: Release

## ◆ get_renderer_string()

static std::string clan::OpenGLTarget::get_renderer_string | ( | const GraphicContext & | gc | ) |
| static

Get the opengl renderer string.

## ◆ get_vendor_string()

static std::string clan::OpenGLTarget::get_vendor_string | ( | const GraphicContext & | gc | ) |
| static

Get the opengl vendor string.

## ◆ is_current()

static bool clan::OpenGLTarget::is_current | ( |  | ) |
| static

Returns true if this display target is the current target.

This may change after a display window has been created

## ◆ set_active_context()

static void clan::OpenGLTarget::set_active_context | ( | const GraphicContext & | gc | ) |
| static

Set OpenGL context used by this GraphicContext to be active.

## ◆ set_current()

static void clan::OpenGLTarget::set_current | ( |  | ) |
| static

Set this display target to be the current target.

## ◆ set_description()

static void clan::OpenGLTarget::set_description | ( | OpenGLContextDescription & | desc | ) |
| static

Target should be current (using set_current() ) before using this function.

The documentation for this class was generated from the following file:

- opengl_target.h